# Credit Check



# Credit Check for Private Customer

Use this API to perform a credit assessment for a private individual (a consumer) based on their **social security number (Personal Number)**.

----


### Endpoint

```
POST https://demo-api.frontpayment.no/api/v1/connect//credit/check/private
```

### Authentication
Include a **Bearer Token** in the `Authorization` header. You can obtain this token from **Front Payment**.

**Example:**  
```
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
```

### Request Payload

Send the following parameters as a JSON object in the request body:

```json
{
    "personalId": "993344228",
    "countryCode": +47,
    "msisdn": 46xxxxxx45
}
```

### Validation Rules

Make sure your request meets the following requirements:

<table style="width: 100%">
  <thead>
    <tr>
      <th style="width: 260px">Field</th>
      <th style="width: 80px">Type</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td><code>personalId</code></td>
      <td><code>string</code></td>
      <td><strong>Required</strong> Personal Number.</td>
    </tr>
    <tr>
      <td><code>countryCode</code></td>
      <td><code>string</code></td>
      <td><strong>Optional</strong> Country code for the customer's phone number (e.g., "+47").</td>
    </tr>
    <tr>
      <td><code>msisdn</code></td>
      <td><code>string</code></td>
      <td><strong>Optional</strong> Mobile Subscriber ISDN Number (phone number).</td>
    </tr>
    
  </tbody>
  </table>


### Response

A successful request will return a `200 OK` status with the following JSON payload:

```json

    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckRequestedSuccessful",
    "is_data": false,
    "data": null
}
```

API returns a `500` or `510` error, it means something failed on the server side

```json
{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "somethingWentWrong",
    "is_error": true,
    "errors": "Array"
}
```

# Credit Check for Corporate Customer

This API performs a credit assessment for a corporate customer (a business or company) based on its **organization number**.

---

### Endpoint

```
POST https://demo-api.frontpayment.no/api/v1/connect//credit/check/corporate
```

### Authentication
Include a **Bearer Token** in the `Authorization` header. You can obtain this token from **Front Payment**.

**Example:**  
```
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
```


### Request Payload

Send the following parameters as a JSON object in the request body:

```json
{
    "organizationId": "993344228",
}
```

### Validation Rules

Make sure your request meets the following requirements:

<table style="width: 100%">
  <thead>
    <tr>
      <th style="width: 260px">Field</th>
      <th style="width: 80px">Type</th>
      <th>Description</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td><code>organizationId</code></td>
      <td><code>string</code></td>
      <td><strong>Required</strong> The official organization number of the company.</td>
    </tr>
  </tbody>
  </table>


### Response

A successful request will return a `200 OK` status with the following JSON payload:

```json

    "status_code": 200,
    "status_message": "OK",
    "message": "creditCheckRequestedSuccessful",
    "is_data": false,
    "data": null
}
```

API returns a `500` or `510` error, it means something failed on the server side

```json
{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "somethingWentWrong",
    "is_error": true,
    "errors": "Array"
}
```

# Get Credit Check List

This API allows your application to retrieve a list of all **credit checks**.

---

### Endpoint

```
GET https://demo-api.frontpayment.no/api/v1/connect//credit/check/list
```

### Authentication
Include a **Bearer Token** in the `Authorization` header. You can obtain this token from **Front Payment**.

**Example:**  
```
Authorization: Bearer YOUR_FRONTPAYMENT_BEARER_TOKEN
```


### Response

A successful request will return a `200 OK` status with the following JSON payload:

```json
{
  "status_code": 200,
  "status_message": "OK",
  "message": "creditCheckHistoryRetrievedSuccessfully",
  "is_data": true,
  "data": [
    {
      "date": "19.03.2025",
      "name": "MONRAD SIV NINA",
      "type": "Private",
      "companyType": null,
      "organizationId": null,
      "personalNumber": "04*******85",
      "countryCode": "+47",
      "msisdn": null,
      "defaultProbability": "15% - 27%",
      "score": 441,
      "scoreMessage": "High to moderate risk, credit up to NOK 20,000 can be approved",
      "riskLevel": "Moderate"
    },
    {
      "date": "15.03.2025",
      "name": "KNUTSMOEN EIENDOM ANS",
      "type": "Corporate",
      "companyType": "ANS",
      "organizationId": "998379342",
      "personalNumber": null,
      "countryCode": null,
      "msisdn": null,
      "defaultProbability": "0",
      "score": 0,
      "scoreMessage": "Credit information could not be retrieved",
      "riskLevel": "High"
    }
  ]
}
```


API returns a `510` error, it means something failed on the server side

```json
{
    "status_code": 510,
    "status_message": "Execution Exception Occurred",
    "message": "Something Went Wrong",
    "is_error": true,
    "errors": "Array"
}
```